=== debian/changelog ===
valyriatear (0.6.0-maemo2) unstable; urgency=low

  * Dependencies for i386 (mesagl, not glshim)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 03 Oct 2013 12:21:31 +0200

valyriatear (0.6.0-maemo1) unstable; urgency=low

  * Optified	
  * Uses glshim
  * MaemoFix: SDL_WM_SetIcon
  * N900Fix: SDLK_ESCAPE -> SDLK_BACKSPACE 
             SDLK_F1 -> SDLK_LSHIFT
             Resolution = 800x480

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 02 Oct 2013 21:56:31 +0200
