=== debian/control ===
Source: valyriatear
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5.0.0), cmake, libboost1.42-dev, 
 libsdl-image1.2-dev, libsdl-ttf2.0-dev, libsdl1.2-dev,
 libx11-dev,
 libglshim-dev [arm armel], libglushim-dev [arm armel],
 libgl1-mesa-dev [i386], libglu1-mesa-dev [i386],
 libvorbis-dev, libopenal-dev, 
 liblua5.1-0-dev, 
 zlib1g-dev, libpng12-dev
Standards-Version: 3.7.2
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com

Package: valyriatear
Architecture: any
Depends: ${shlibs:Depends}
Description: Single-player medieval-fantasy 2D J-RPG 
 It is based on an extended Hero of Allacrost engine (See http://www.allacrost.org/) 
 and inspired by classic console RPGs. The player incarnates Bronann, a young boy 
 forced to take part into the struggle for the possession of a mysterious crystal. 
 This powerful artifact will lead him to discover the actual threat set upon his 
 world, but also courage and love.
 .
 The game has all the features you can expect from JRPG classics: entertaining
 story development, colourful map exploration, active side-view battles, character
 management, puzzles... It is also translated in several languages.
Homepage: http://valyriatear.blogspot.fi/
