=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	mkdir build 
	cd build ; cmake .. -DCMAKE_INSTALL_PREFIX:PATH=/opt/valyriatear ; make
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf build 

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	# Install the package into debian/<packagename>
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	CURDIR=$1

	#everything to the opt
	mkdir -p ${CURDIR}/debian/valyriatear/opt/valyriatear
	mkdir -p ${CURDIR}/debian/valyriatear/opt/valyriatear/bin
	mkdir -p ${CURDIR}/debian/valyriatear/opt/valyriatear/share/valyriatear
	mkdir -p ${CURDIR}/debian/valyriatear/opt/valyriatear/share/locale

	#binary:
	install ${CURDIR}/build/src/valyriatear ${CURDIR}/debian/valyriatear/opt/valyriatear/bin

	#locale:
	rm -rf ${CURDIR}/build/po/CMakeFiles/
	rm -f ${CURDIR}/build/po/cmake_install.cmake
	rm -f ${CURDIR}/build/po/Makefile
	cp -r ${CURDIR}/build/po/* ${CURDIR}/debian/valyriatear/opt/valyriatear/share/locale

	#data
	cp -r ${CURDIR}/dat ${CURDIR}/img ${CURDIR}/mus ${CURDIR}/snd ${CURDIR}/debian/valyriatear/opt/valyriatear/share/valyriatear

	#menu and icon and starting script
	install -d  ${CURDIR}/debian/valyriatear/usr/share/icons/hicolor/scalable/hildon
	install ${CURDIR}/debian/valyriatear.png ${CURDIR}/debian/valyriatear/usr/share/icons/hicolor/scalable/hildon

	install -d ${CURDIR}/debian/valyriatear/usr/share/applications/hildon
	install ${CURDIR}/debian/valyriatear.desktop ${CURDIR}/debian/valyriatear/usr/share/applications/hildon
	

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
